/*
 Theme Name:   OceanWP Child
 Description:  Child Theme des high-performance WP-Theme OceanWP
 Author:       Philipp Limbeck
 Author URI:   https://insyde.at/
 Template:     oceanwp
 Version:      1.0
 Text Domain:  oceanwp-child
*/

/* overwrite general settings of oceanwp for focus of links (black border) */
#main a:focus,
#site-header a:focus,
#footer a:focus{
	outline: 0px !important;
}

:root{
	 --color-primary:#e61b87; 
	/* --color-primary: #b2007e; */
	--color-primary-soft:#f7c4de;
	--color-secondary: #fefdf0;

	--color-bg:#F8EEF3;
	--color-surface:#ffffff;

	--color-text:#3f3b37;
	--color-text-soft:#7a746e;

	--color-border:#e5dfd6;

	--fs-h1: clamp(30px, 4vw, 52px);
	--fs-h2: clamp(26px, 3vw, 38px);
	--fs-h3: clamp(20px, 2vw, 26px);

	--fs-p: clamp(16px, 1.1vw, 18px);

	--fs-button: clamp(14px, 1.2vw, 16px);
}
body{
	background: #f7f4ec;
	font-family:var(--font-body);
	color:var(--color-text);
}

#main h1,
#main h2,
#main h3,
#main h4{
	
	font-weight:300;
	letter-spacing:0.03em;
}

#main h1,
#main h2,
#main h3{
	color:var(--color-primary);
}
#main h1{
	font-size: var(--fs-h1);
	line-height: 1.3;
}

#main h2{
	font-size: var(--fs-h2);
	line-height: 1.3;
}

#main h3{
	font-size: var(--fs-h3);
	line-height: 1.3;
	
}

#main p{
	font-size: var(--fs-p);
	line-height: 1.7;
}

.button-primary button.vc_general {
	background:	var(--color-primary);
	color:white;
	padding:14px 26px;
	border-radius:4px;
	font-weight:300;
}

.button-primary button.vc_general:hover{
	background:#c91472;
}
a{
	color:var(--color-primary);
	text-decoration:none;
}

a:hover{
	text-decoration:underline;
}
#site-header #site-header-inner{
	display: flex;
	align-items: end;
	justify-content: space-between;
}

#site-navigation-wrap #site-navigation a{
	font-size: clamp(14px, 0.9vw, 22px);
	letter-spacing:0.08em;
	text-transform:uppercase;
	color: var(--color-text);
	line-height: normal;
	font-weight: 300;
}


#site-navigation-wrap #site-navigation li.current-menu-item a,
#site-navigation-wrap #site-navigation li:hover,
#site-navigation-wrap #site-navigation li.dropdown ul li:hover,
#site-navigation-wrap #site-navigation li.dropdown ul li a:hover,
#site-navigation-wrap #site-navigation a:hover{
	color: var(--color-primary);
	font-weight: 400;
}

#site-navigation-wrap #site-navigation li.dropdown ul li a{
	font-size: clamp(16px, 0.9vw, 16px);
	vertical-align: middle;
	padding: 15px;
	line-height: normal;
}

#footer ul,
#content ul{
	margin-left: 0px;
}

#footer ul li,
#content ul li{
	list-style: none;
	line-height: 2;
	font-size: 16px;
}

#footer ul li:before,
#content ul li:before{
	content: '';
	background: transparent url(/wp-content/uploads/2026/03/favicon.png) no-repeat left center;
	width: 9px;
	height: 18px;
	display: inline-block;
	margin-right: 5px;
	vertical-align: middle;
	background-size: contain;
}
#content .cta-button a{
	background-image: unset;
	text-decoration: none;
	font-size: 14px;
	text-transform: uppercase;
}

#footer{
	padding-top: 40px;
	background-color: var(--color-bg);
}


#footer .footer-logo{
	margin-bottom: 10px;
}
#footer .footer-logo .wpb_wrapper{
	display: flex;
	align-items: center;
}

#footer .footer-logo .wpb_wrapper p,
#footer .footer-logo .wpb_wrapper h3{
	margin-bottom: 0;
}
#footer .footer-logo .wpb_wrapper h3{
	font-size: 22px;
}

#footer p{
	font-size: 16px;
	line-height: 1.5;
}

#footer a{
	text-decoration: underline;
}


#footer .footer-rights{
	margin-bottom: 15px;
}


#footer .social-icons{
	display: flex;
	gap: 10px;
}

#footer .social-icons i:before{
	font-size: 22px;
	color: var(--color-text);
}

@media all and (max-width: 979px){
	#site-logo{
		flex: 1;
	}
	
	#site-logo.has-responsive-logo .responsive-logo-link img{
		max-height: 75px !important;
	}
	
	#primary{
		margin-bottom: 0;
	}
}

.displaynone{
	display: none;
}

.behandlungen-text{
	min-height: 230px;
}